// SimuRoute.h


#pragma once

#ifndef __AFXWIN_H__
#error Include 'stdafx.h' before including this file for PCH
#endif

#include "Resource.h"
#include "Node.h"


const LPCTSTR pszMain        = _T("Settings");
const LPCTSTR pszPropPos     = _T("PropPos");
const LPCTSTR pszDefaultNode = _T("DefaultNode");


class CApp : public CWinApp
{
public:  // Functions
	
	CApp();
	
	NODEDATA m_ndDefault;
	
	CGraphView* GetActiveView();
	
	
public:  // Messages
	
	virtual BOOL InitInstance();
	afx_msg void OnAppAbout();
	virtual int ExitInstance();
	DECLARE_MESSAGE_MAP()
};


extern CApp app;


// Delete all the elements of a list
template<class CMyList>
void DeleteList(CMyList& lst)
{
	POSITION pos = lst.GetHeadPosition();
	while (pos)
		delete lst.GetNext(pos);
	lst.RemoveAll();
}
